package com.trade.admin.workflow.dto;

import org.flowable.engine.repository.ProcessDefinition;

/**
 * @Description:流程定义视图对象
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年6月21日 下午4:35:47
 */
public class ProcessDefinitionEntityVo {

    private String id;
    private String name;
    private String key;
    private int version;
    private String deploymentId;
    private String diagramResourceName;

    public ProcessDefinitionEntityVo(){
    }

    public ProcessDefinitionEntityVo(ProcessDefinition procDef){
        this.id = procDef.getId();
        this.name = procDef.getName();
        this.key = procDef.getKey();
        this.version = procDef.getVersion();
        this.deploymentId = procDef.getDeploymentId();
        this.diagramResourceName = procDef.getDiagramResourceName();
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getDeploymentId() {
        return deploymentId;
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public String getDiagramResourceName() {
        return diagramResourceName;
    }

    public void setDiagramResourceName(String diagramResourceName) {
        this.diagramResourceName = diagramResourceName;
    }
}
